package smart_gs.logical;

import java.util.Comparator;

import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.MutableTreeNode;


public class DefaultMutableTreeNodeNameComparator implements Comparator{
	@Override
	public int compare(Object arg0, Object arg1){
		String arg0Name = ((GSResource)((DefaultMutableTreeNode)arg0).getUserObject()).getName();        
		String arg1Name = ((GSResource)((DefaultMutableTreeNode)arg1).getUserObject()).getName();     
		int ans = arg0Name.compareTo(arg1Name);
		return ans;
	}
}
